Passer au contenu principal
GET
/
v1
/
customers
/
{id}
/
usage
/
{aggregator_id}
Get customer usage for an aggregator
curl --request GET \
  --url https://api.hyperline.co/v1/customers/{id}/usage/{aggregator_id} \
  --header 'Authorization: Bearer <token>'
{
  "aggregator_id": "<string>",
  "total": 123,
  "count": 123,
  "period_start": "<string>",
  "period_end": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis
aggregator_id
string
requis

Paramètres de requête

start_date
string<date-time>
requis

ISO-8601 date string.

Exemple:

"2026-01-01T00:00:00Z"

end_date
string<date-time>
requis

ISO-8601 date string.

Exemple:

"2026-02-01T00:00:00Z"

Réponse

aggregator_id
string
requis

Aggregator ID.

total
number
requis

Total usage over the period.

count
number
requis

Number of events behind the total.

period_start
string
requis

Period start (ISO-8601).

period_end
string
requis

Period end (ISO-8601).